%global pypi_name sphinxcontrib-htmlhelp

%bcond_without check

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        1
Summary:        Sphinx extension for HTML help files
License:        BSD-2-Clause
URL:            http://sphinx-doc.org/
Source0:        https://files.pythonhosted.org/packages/b3/47/64cff68ea3aa450c373301e5bebfbb9fce0a3e70aca245fcadd4af06cd75/sphinxcontrib-htmlhelp-2.0.1.tar.gz
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel

%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx 
BuildRequires:  python3-html5lib
%endif

%description
sphinxcontrib-htmlhelp is a sphinx extension which renders HTML help files.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinxcontrib-htmlhelp is a sphinx extension which renders HTML help files.


%prep
%autosetup -n %{pypi_name}-%{version}
find -name '*.mo' -delete


%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done
%pyproject_build


%install
%pyproject_install sphinxcontrib-htmlhelp==%{version}

# Move language files to /usr/share
pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/htmlhelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
  mv sphinxcontrib/htmlhelp/locales/$lang/LC_MESSAGES/*.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/htmlhelp/locales
ln -s %{_datadir}/locale sphinxcontrib/htmlhelp/locales
popd


%find_lang sphinxcontrib.htmlhelp


%if %{with check}
%check
%{__python3} tests/conftest.py
%endif


%files -n python3-%{pypi_name} -f sphinxcontrib.htmlhelp.lang
%license LICENSE
%doc README.rst
%{python3_sitelib}/*


%changelog
* Thu May 04 2023 wulei <wu_lei@hoperun.com> - 2.0.1-1
- Update to 2.0.1

* Tue May 10 2022 yangping <yangping69@h-partners> - 2.0.0-2
- License compliance rectification

* Fri Dec 10 2021 shixuantong <shixuantong@huawei.com> - 2.0.0-1
- update version to 2.0.0

* Sat Aug 1 2020 shixuantong <shixuantong@huawei.com> - 1.03-2
- Modify Source0 and remove %{?dist} in release tag

* Fri Jul 31 2020 tianwei <tianwei12@huawei.com> - 1.0.3-1
- Package Init
